
QGIS Application - Bug report #10138

Crash in svg cache with svg symbols 

2014-04-29 05:15 AM - Luca Mandolesi

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 18597

Description

When you open a qpt realized with a scalebar inside, the scale may crash QGIS. In more cases this happen from a version to another, but

sometime it happen also inside the same version.

It happens under Windows and Linux.

History

#1 - 2014-04-29 05:24 AM - Paolo Cavallini

- Assignee deleted (Nyall Dawson)

- Subject changed from Map composer crush because of scalebar to Map composer crashes because of scalebar

- Category set to Map Composer/Printing

#2 - 2014-05-29 08:05 PM - Nyall Dawson

- Category changed from Map Composer/Printing to Symbology

- Subject changed from Map composer crashes because of scalebar to Crash in svg cache with svg symbols 

This isn't actually a composer/scalebar related bug. It's caused by the svg fill patterns shown in the legend - the svg cache is crashing. Reassigning to

symbology.

#3 - 2014-10-30 10:01 AM - Giovanni Manghi

- Priority changed from Normal to High

#4 - 2014-10-30 11:00 AM - Giovanni Manghi

- Status changed from Open to Feedback

cannot replicate on master, still true?

#5 - 2015-06-14 01:50 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

closing for lack of feedback. Reopen if necessary.

Files
A3_prova.qpt 19.7 KB 2014-04-29 Luca Mandolesi

tracback.rtf 2.99 KB 2014-04-29 Luca Mandolesi

2025-04-28 2/2


